<?php
include(dirname(__FILE__)."/require.php");
if($ppurview[33]!=1)
  jump("jump.php?id=25&jump=main.php");
if(!isset($_GET['page']))
  $_GET['page']=0;
$phpcolor->table="spread";
$phpcolor->field="*";
$phpcolor->where="1 = 1";
$count = $phpcolor->exist(2);
$phpcolor->where=" 1 = 1 order by time desc limit ".($_GET['page']*20).",20";
$page=pages($count,20,$_GET['page'],'spread','','','0');
$spread=$phpcolor->assignment();
for($count=0;$count<count($spread);$count++)
{
  $phpcolor->table="user";
  $phpcolor->field="username";
  $phpcolor->where="id = '".$spread[$count]['uid']."'";
  $rs=$phpcolor->exist(1);
  $spread[$count]['username']=$rs['username'];
}
$tpl -> assign("spread", $spread);
$tpl -> assign("page", $page);
$tpl -> display("spread.htm");
?>